package com.servicemall.systemcommon.data;

import org.apache.commons.codec.binary.StringUtils;

/**
 * 错误枚举类
 *
 * @author Warren
 */
public enum ErrorEnum {
    /**
     * 公共返回码
     **/
    E_100(100, "成功"),

    E_200(200, "请求的服务不存在"),
    E_201(201, "请求次数超限或者过于频繁，暂时封禁"),
    E_202(202, "请求参数缺少必要字段"),
    E_203(203, "json格式有误");

    // 成员变量
    private int code;

    private String message;

    // 构造方法
    ErrorEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    // 普通方法
    public static String getErrorMsg(int code) {
        for (ErrorEnum c : ErrorEnum.values()) {
            if (c.getCode() == code) {
                return c.message;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
